Subject: bug#52941: closed (Re: 29.0.50; pgtk: characters typed into minibuffers inserted multiple times)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 16 Jan 2022 08:46:02 +0000

Your bug report

#52941: 29.0.50; pgtk: characters typed into minibuffers inserted multiple times

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52941: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52941
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 29.0.50; pgtk: characters typed into minibuffers inserted multiple times
From: Yuuki Harano <[email-masked]>
To: Sean Whitton <[email-masked]>
Cc: Po Lu <[email-masked]>, [email-masked],João Távora <[email-masked]>
Date: Sun, 16 Jan 2022 17:45:02 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, 16 Jan 2022 06:10:17 +0900,
Sean Whitton wrote:
> > Please try the attached patch, which should solve the issue.
> 
> Looks like it does -- thanks!

Applied.  Thanks for the confirmation.

-- 
Yuuki Harano

Subject: 29.0.50; fido-mode: characters typed into minibuffers inserted multiple times
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Sat, 01 Jan 2022 16:14:17 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

If the system is under heavy load, and/or Emacs is compiled with debug
options which substantially slow it down, and fido-mode is enabled, then
typing quickly into the minibuffer can result in typed characters
inserted more than once.  Here is how I can reproduce it:

    emacs -Q
    M-x fido-mode RET
    C-h v

and quickly try to type "font-weight-table".  This is what I get in the
minibuffer:

    font-weweweweweweweight-tatabe

Although I made at least one typo (I didn't type the 'l'), I definitely
did not type 'we' and 'ta' that many times.

I haven't been able to reproduce with icomplete-mode, but as the problem
does not occur consistently, I am not confident it does not occur with
icomplete-mode.

-- 
Sean Whitton